Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.xml
Class XMLTreeEditPanel.RecordingExpansionListener

    java.lang.Object
      ix.util.xml.XMLTreeEditPanel.RecordingExpansionListener

All Implemented Interfaces:
  java.util.EventListener, javax.swing.event.TreeExpansionListener

Enclosing class:
  XMLTreeEditPanel

     class XMLTreeEditPanel.RecordingExpansionListener

extends java.lang.Object
implements javax.swing.event.TreeExpansionListener

A TreeExpansionListener that records whether a node should be expanded or not.

See Also:
  `XMLTreeEditPanel.TNode.setShouldBeExpanded(boolean)`

Field Summary
`(package private) boolean` | `active`
`(package private) javax.swing.JTree` | `tree`

Constructor Summary
`XMLTreeEditPanel.RecordingExpansionListener(javax.swing.JTree tree)`

Method Summary
`(package private) XMLTreeEditPanel.TNode` | `theNode(javax.swing.event.TreeExpansionEvent e)`
`void` | `treeCollapsed(javax.swing.event.TreeExpansionEvent e)`
`void` | `treeExpanded(javax.swing.event.TreeExpansionEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tree

    javax.swing.JTree tree

### active

    boolean active

Constructor Detail

### XMLTreeEditPanel.RecordingExpansionListener

    XMLTreeEditPanel.RecordingExpansionListener(javax.swing.JTree tree)

Method Detail

### treeExpanded

    public void treeExpanded(javax.swing.event.TreeExpansionEvent e)

  Specified by:
    `treeExpanded` in interface `javax.swing.event.TreeExpansionListener`

### treeCollapsed

    public void treeCollapsed(javax.swing.event.TreeExpansionEvent e)

  Specified by:
    `treeCollapsed` in interface `javax.swing.event.TreeExpansionListener`

### theNode

    XMLTreeEditPanel.TNode theNode(javax.swing.event.TreeExpansionEvent e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD